For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Job object
          • GET/jobs
          • GET/jobs/{id}
          • GET/jobs/{job_id}/screening-questions
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJobs

/jobs/{job_id}/screening-questions

Beta
GET
/ats/v1/jobs/:job_id/screening-questions
GET
/api/ats/v1/jobs/:job_id/screening-questions
$curl -G https://api.merge.dev/api/ats/v1/jobs/job_id/screening-questions \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=options,job
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "0238cbc6-6040-430a-848e-aaiehfhdbadf4ae",
7 "remote_id": "23729392",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "job": "92e8a369-fffe-430d-b93a-f7e8a16563f1",
11 "description": "Are you currently authorized to work for any employer in the country outlined for this role?",
12 "title": "Work Authorisation",
13 "type": "SINGLE_SELECT",
14 "required": true,
15 "options": [
16 {
17 "remote_id": "19281",
18 "label": "I am currently authorised"
19 },
20 {
21 "remote_id": "38372",
22 "label": "I am currently not eligible"
23 }
24 ],
25 "remote_was_deleted": true
26 }
27 ]
28}

Returns a list of ScreeningQuestion objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/jobs/{id}

Next

The Offer object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

job_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects